Bug 399211 - nessus-core in F8 and later broken due to glibc's open check
nessus-core in F8 and later broken due to glibc's open check
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nessus-core (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 03:16 EST by Oliver Falk
Modified: 2007-12-20 14:53 EST (History)
0 users

See Also:
Fixed In Version: 2.2.10-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 14:53:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove chmod and put permissions into open (601 bytes, patch)
2007-11-26 05:30 EST, Oliver Falk
no flags Details | Diff

  None (edit)
Description Oliver Falk 2007-11-26 03:16:13 EST
From the build log:

In function 'open',
    inlined from 'detached_new_session' at detached.c:411:
/usr/include/bits/fcntl2.h:51: error: call to '__open_missing_mode' declared
with attribute error: open with O_CREAT in second argument needs 3 arguments
make[2]: *** [detached.o] Error 1
make[2]: Leaving directory `/home/oliver/cvs/F-8/nessus-core/nessus-core/nessusd'
make[1]: *** [server] Error 2
make[1]: Leaving directory `/home/oliver/cvs/F-8/nessus-core/nessus-core'
error: Bad exit status from /var/tmp/rpm-tmp.64841 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.64841 (%build)
Comment 1 Oliver Falk 2007-11-26 05:30:14 EST
Created attachment 268771 [details]
Remove chmod and put permissions into open
Comment 2 Fedora Update System 2007-12-10 15:49:14 EST
nessus-core-2.2.10-2.fc8, nessus-libraries-2.2.10-2.fc8, libnasl-2.2.10-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nessus-core nessus-libraries libnasl'
Comment 3 Fedora Update System 2007-12-20 14:53:26 EST
nessus-core-2.2.10-2.fc8, nessus-libraries-2.2.10-2.fc8, libnasl-2.2.10-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.